> ## Documentation Index
> Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Configuration Details

> Returns the full exam configuration including scheduling windows, permitted items, proctoring settings, and instructor-as-proctor entries.



## OpenAPI

````yaml https://api.dev.smarterproctoring.com/openapi.json get /v1/installs/{installSid}/courses/{courseSid}/exams/{examSid}/configurations/{examConfigurationSid}
openapi: 3.0.0
info:
  title: SmarterProctoring API
  version: 3.0.3
  description: API documentation for SmarterProctoring
servers:
  - url: https://api.smarterproctoring.com
security:
  - client: []
tags:
  - name: App Install
    description: App Install operations
    x-group: App Install
  - name: Course
    description: Course operations
    x-group: Course
  - name: Course Offering
    description: Course Offering operations
    x-group: Course Offering
  - name: Exam
    description: Exam operations
    x-group: Exam
  - name: Exam Configuration
    description: Exam Configuration operations
    x-group: Exam Configuration
  - name: Exam Events
    description: Exam Events operations
    x-group: Exam Events
  - name: Exam Session
    description: Exam Session operations
    x-group: Exam Session
  - name: Exam Session Annotation
    description: Exam Session Annotation operations
    x-group: Exam Session Annotation
  - name: Exam Session Event
    description: Exam Session Event operations
    x-group: Exam Session Event
  - name: Onboarding
    description: Onboarding operations
    x-group: Onboarding
  - name: Provision
    description: Provision operations
    x-group: Provision
  - name: Reports
    description: Reports operations
    x-group: Reports
  - name: Time Zones
    description: Time Zones operations
    x-group: Time Zones
  - name: User
    description: User operations
    x-group: User
paths:
  /v1/installs/{installSid}/courses/{courseSid}/exams/{examSid}/configurations/{examConfigurationSid}:
    get:
      tags:
        - Exam Configuration
      summary: Get Configuration Details
      description: >-
        Returns the full exam configuration including scheduling windows,
        permitted items, proctoring settings, and instructor-as-proctor entries.
      operationId: >-
        getV1InstallsInstallsidCoursesCoursesidExamsExamsidConfigurationsExamconfigurationsid
      parameters:
        - name: installSid
          in: path
          schema:
            type: string
            description: Install Sid
            pattern: ^AI[a-f0-9]{32}$
          description: Install Sid
          required: true
        - name: courseSid
          in: path
          schema:
            type: string
            description: Course Sid
            pattern: ^CU[a-f0-9]{32}$
          description: Course Sid
          required: true
        - name: examSid
          in: path
          schema:
            type: string
            description: Exam Sid
            pattern: ^EX[a-f0-9]{32}$
          description: Exam Sid
          required: true
        - name: examConfigurationSid
          in: path
          schema:
            type: string
            description: ExamConfiguration Sid
            pattern: ^EC[a-f0-9]{32}$
          description: ExamConfiguration Sid
          required: true
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExamConfigurationResponse'
components:
  schemas:
    ExamConfigurationResponse:
      type: object
      properties:
        sid:
          type: string
          description: Configuration SID
          nullable: true
        examSid:
          type: string
          description: Exam SID
          nullable: true
        enrollmentSid:
          type: string
          description: Enrollment SID
          nullable: true
        referenceExamConfigurationSid:
          type: string
          description: Reference exam configuration SID
          nullable: true
        type:
          type: string
          description: Configuration type
          nullable: true
        examOpenDate:
          type: string
          description: Exam open date
          nullable: true
        examCloseDate:
          type: string
          description: Exam close date
          nullable: true
        scheduleOpenDate:
          type: string
          description: Schedule open date
          nullable: true
        scheduleCloseDate:
          type: string
          description: Schedule close date
          nullable: true
        password:
          type: string
          description: Exam password
          nullable: true
        url:
          type: string
          description: Exam URL
          nullable: true
        duration:
          type: number
          description: Duration in minutes
          nullable: true
        attempts:
          type: number
          description: Number of attempts
          nullable: true
        attemptsRemaining:
          type: number
          description: Attempts remaining
          nullable: true
        locked:
          type: boolean
          description: Whether locked
          nullable: true
        approved:
          type: boolean
          description: Whether approved
          nullable: true
        approvedBy:
          type: string
          description: Approved by
          nullable: true
        requiredSoftware:
          type: string
          description: Required software
          nullable: true
        studentNotes:
          type: string
          description: Student notes
          nullable: true
        permittedBathroomBreak:
          type: boolean
          description: Bathroom break permitted
          nullable: true
        permittedBathroomBreakInformation:
          type: string
          description: Bathroom break info
          nullable: true
        permittedBlankPaper:
          type: boolean
          description: Blank paper permitted
          nullable: true
        permittedBlankPaperInformation:
          type: string
          description: Blank paper info
          nullable: true
        permittedCalculator:
          type: boolean
          description: Calculator permitted
          nullable: true
        permittedCalculatorInformation:
          type: string
          description: Calculator info
          nullable: true
        permittedDictionary:
          type: boolean
          description: Dictionary permitted
          nullable: true
        permittedDictionaryInformation:
          type: string
          description: Dictionary info
          nullable: true
        permittedEarplugs:
          type: boolean
          description: Earplugs permitted
          nullable: true
        permittedEarplugsInformation:
          type: string
          description: Earplugs info
          nullable: true
        permittedFormulaSheet:
          type: boolean
          description: Formula sheet permitted
          nullable: true
        permittedFormulaSheetInformation:
          type: string
          description: Formula sheet info
          nullable: true
        permittedNotes:
          type: boolean
          description: Notes permitted
          nullable: true
        permittedNotesInformation:
          type: string
          description: Notes info
          nullable: true
        permittedOtherItems:
          type: string
          description: Other permitted items
          nullable: true
        permittedTextbook:
          type: boolean
          description: Textbook permitted
          nullable: true
        permittedTextbookInformation:
          type: string
          description: Textbook info
          nullable: true
        permittedWebsites:
          type: boolean
          description: Websites permitted
          nullable: true
        permittedWebsitesInformation:
          type: string
          description: Websites info
          nullable: true
        apiExamId:
          type: string
          description: API exam ID
          nullable: true
        examSyncStatus:
          type: string
          description: Exam sync status
          nullable: true
        virtualCalculatorType:
          type: string
          description: Virtual calculator type
          nullable: true
        synchronization:
          type: string
          description: Synchronization info
          nullable: true
        proctorNotes:
          type: string
          description: Proctor notes
          nullable: true
        proctorTypes:
          $ref: '#/components/schemas/Model33'
        attachments:
          type: string
          description: Attachments
          nullable: true
        examFiles:
          type: string
          description: Exam files
          nullable: true
        instructorAsProctor:
          $ref: '#/components/schemas/Model34'
        exam:
          type: string
          description: Associated exam
          nullable: true
        course:
          type: string
          description: Associated course
          nullable: true
        enrollment:
          type: string
          description: Associated enrollment
          nullable: true
        createdDate:
          type: string
          description: Created date
          nullable: true
        editDate:
          type: string
          description: Last modified date
          nullable: true
        instructor:
          type: string
          description: Instructor details
          nullable: true
        modalityOptions:
          type: string
          description: Modality options
          nullable: true
        updatedAutomatedSessions:
          type: string
          description: Updated automated sessions
          nullable: true
    Model33:
      type: array
      description: Proctor types
      nullable: true
      items:
        type: string
    Model34:
      type: array
      description: Instructor as proctor
      nullable: true
      items:
        type: string
  securitySchemes:
    client:
      type: apiKey
      name: token
      in: header

````